<div ng-controller="UploadFileCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <!-- <li>
                  <a>Administración de Archivos</a>
                </li> -->
              </ul>
            </div>
        </div>
        <div class="card-container">
            <div class="panel panel-success">
	            <div class="panel-heading">
	                <h3 class="panel-title"><i class="fa fa-files-o"></i> Detalle de Archivos</h3>
	            </div>
	            <div class="panel-body">
	            	<!-- listar archivos -->
					<div ng-show="flag">
						<!-- facturas -->
						<div class="row">
							<div class="col-md-4">
								<a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="home.semana.detalle_semana"><i class="fa fa-arrow-left"></i>  Regresar</a>
							</div>
						</div>
						<br>
						<div class="row">
							<div class="col-md-12">
								<legend>
			                        <i class="fa fa-recycle"></i> Facturas
			                    </legend>
							</div>
						</div>
						
	                    <div class="row">
	                        <div class="col-md-12">
	                            <button class="btn btn-danger btn-rounded-10 btn-border" ng-if="permisosHas('facturas.registrar')" ng-click="upload(1,true)"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
	                        </div>
	                    </div>
	                    <div class="row">
	                        <div class="col-md-12" ng-show="facturas.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-hover table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Estado</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th><small>Operador</small></th>
	                                            <th><small>Fecha de subida</small></th>
	                                            <th><small>Hora de subida</small></th>
	                                            <th class="text-center"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                        <tr dir-paginate="fac in facturas |filter: buscar | itemsPerPage: 5" pagination-id="fac.id">
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.estado_archivo}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.cliente}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.operador}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.fecha}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{fac.hora}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" class="text-center">
													<button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,fac,1)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(fac,3,'factura')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20"  ng-click="openModalPreview($event,fac,1)"  data-options="splash-2 splash-ef-14" >Visualizar <i class="fa fa-desktop"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('facturas.eliminar')" ng-click="openModalDelete($event,fac,1)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="fac.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="facturas.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado facturas para esta semana...</h4> 
	                            </p>
	                        </div>
	                    </div>
	                    <br>
	                    <!-- packings -->
	                    <legend><i class="fa fa-recycle"></i> Pakings</legend>
	                    <div class="row">
	                        <div class="col-md-12">
	                            <button class="btn btn-success btn-rounded-10 btn-border" ng-if="permisosHas('packings.registrar')" ng-click="upload(4,false)"  data-options="splash-2 splash-ef-14"><i class="fa fa-file-excel-o"></i> agregar archivos</button>
	                        </div>
	                    </div>
	                    <div class="row">
	                        <div class="col-md-12" ng-show='packings.length != 0'>
	                            <div class="table-responsive mt-5">
	                                <table class="table table-bordered table-hover">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Estado</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th><small>Fecha de subida</small></th>
	                                            <th><small>Hora de subida</small></th>
	                                            <th><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                        <tr dir-paginate="pack in packings |filter: buscar | itemsPerPage: 4" pagination-id="pack.id">
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.estado_archivo}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.cliente}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.fecha}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{pack.hora}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;">
	                                            	<button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,pack,4)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(pack,2,'packing')">Descargar <i class="fa fa-download"></i></button>
	                                               <button type="button" class="btn btn-default btn-border btn-rounded-20"  ng-click="openLink(pack)">Visualizar <i class="fa fa-desktop"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('packings.registrar')" ng-click="openModalDelete($event,pack,4)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="pack.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="packings.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado packings para este contenedor...</h4> 
	                            </p>
	                        </div>    
	                    </div>
	                    <br>
	                    <!-- VL's -->
	                    <div class="row">
							<div class="col-md-12">
								<legend>
			                        <i class="fa fa-recycle"></i> BL's
			                    </legend>
							</div>
						</div>
						
	                    <div class="row">
	                        <div class="col-md-12">
	                            <button class="btn btn-danger btn-rounded-10 btn-border" ng-if="permisosHas('vls.registrar')" ng-click="upload(5,false)"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
	                        </div>
	                    </div>
	                    <div class="row">
	                        <div class="col-md-12" ng-show="vls.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-hover table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Estado</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th><small>Fecha de subida</small></th>
	                                            <th><small>Hora de subida</small></th>
	                                            <th class="text-center"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody>
	                                        <tr dir-paginate="vl in vls | filter: buscar | itemsPerPage: 5" pagination-id="vl.id">
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{vl.estado_archivo}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{vl.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{vl.cliente}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{vl.fecha}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{vl.hora}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" class="text-center">
													<button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,vl,5)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(vl,3,'vl')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20"  ng-click="openModalPreview($event,vl,5)"  data-options="splash-2 splash-ef-14" >Visualizar <i class="fa fa-desktop"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('vls.eliminar')" ng-click="openModalDelete($event,vl,5)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="vl.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="vls.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado BL's para esta semana...</h4> 
	                            </p>
	                        </div>
	                    </div>
	                    <br>
	                    <!-- certificados -->
	                    <legend><i class="fa fa-recycle"></i> Certificados</legend>
	                    <div class="row">
	                        <div class="col-md-12">
	                            <button class="btn btn-danger btn-rounded-10 btn-border" ng-if="permisosHas('certificados.registrar')" ng-click="upload(2,false)"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
	                        </div>
	                    </div>
	        			<div class="row">
	                        <div class="col-md-12" ng-show="certificados.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Estado</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th><small>Fecha de subida</small></th>
	                                            <th><small>Hora de subida</small></th>
	                                            <th colspan="3"><small>Contenedores</small></th>
	                                            <th><small>Agregar Contenedores</small></th>
	                                            <th class="text-center"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody dir-paginate="cer in certificados |filter: buscar | itemsPerPage: 4" pagination-id="cer.id">
	                                        <tr>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}"><small>
		                                            <select style="width:150px" class="form-control" ng-change="changeEstado(cer)" ng-model="cer.id_estado_archivo" ng-options="st.id as st.nombre for st in estados"> 
		                                                <option value="">-- Seleccione Estado --</option> 
		                                            </select>
	                                            </small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}"><small>{{cer.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}"><small>{{cer.cliente}}</small></td>
	                                            <td rowspan="{{cer.contenedores.length+1}}" style="vertical-align:middle; white-space: nowrap;"><small>{{cer.fecha}}</small></td>
	                                            <td rowspan="{{cer.contenedores.length+1}}" style="vertical-align:middle; white-space: nowrap;"><small>{{cer.hora}}</small></td>
	                                            <td style="background:#F2F2F2"><small>Número</small></td>
	                                            <td style="background:#F2F2F2"><small>Referencia</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap; background:#F2F2F2"><small>Borrar Container</small></td>
	                                            <td rowspan="{{cer.contenedores.length+1}}" class="text-center" style="vertical-align:middle; white-space: nowrap;">
	                                        		<button class="btn btn-xs btn-success" ng-click="tipo=3; openModalSelect($event,cer,2)">
	                                        			<i class="fa fa-plus"></i>
	                                        		</button>
	                                        	</td>
	                                            <td class="text-center" style="vertical-align:middle; white-space: nowrap;" rowspan="{{cer.contenedores.length+1}}">
	                                            	<button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,cer,2)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(cer,3,'certificado')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="openModalPreview($event,cer,2)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('certificados.eliminar')" ng-click="openModalDelete($event,cer,2)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
	                                            </td>
	                                        </tr>
	                                        <tr ng-repeat="con in cer.contenedores">
	                                        	<td>{{con.numero}}</td>
	                                        	<td>{{con.referencia}}</td>
	                                        	<td class="text-center">
	                                        		<button ng-click="deleteContainerofCertificado (cer,con)" class="btn btn-xs btn-danger">
	                                        			<i class="fa fa-trash"></i>
	                                        		</button>
	                                        	</td>                                 	
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="cer.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="certificados.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado certificados para esta semana...</h4> 
	                            </p>
	                        </div>
	                    </div>
	                    <br>
	                    <!-- valijas -->
	                    <legend><i class="fa fa-recycle"></i> Valijas</legend>
	                    <div class="row">
	                        <div class="col-md-12">
	                            <button class="btn btn-danger btn-rounded-10 btn-border" ng-if="permisosHas('valijas.registrar')" ng-click="upload(3,false)"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
	                        </div>
	                    </div>
	        			<div class="row">
	                        <div class="col-md-12" ng-show="valijas.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Estado</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Cliente</small></th>
	                                            <th><small>Fecha de subida</small></th>
	                                            <th><small>Hora de subida</small></th>
	                                            <th colspan="3"><small>Contenedores</small></th>
	                                            <th><small>Agregar Contenedores</small></th>
	                                            <th class="text-center"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody dir-paginate="val in valijas |filter: buscar | itemsPerPage: 4" pagination-id="val.id">
	                                        <tr>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"  rowspan="{{val.contenedores.length+1}}"><small>{{val.estado_archivo}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{val.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}"><small>{{val.cliente}}</small></td>
	                                            <td rowspan="{{val.contenedores.length+1}}" style="vertical-align:middle; white-space: nowrap;"><small>{{val.fecha}}</small></td>
	                                            <td rowspan="{{val.contenedores.length+1}}" style="vertical-align:middle; white-space: nowrap;"><small>{{val.hora}}</small></td>
	                                            <td style="background:#F2F2F2"><small>Número</small></td>
	                                            <td style="background:#F2F2F2"><small>Referencia</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap; background:#F2F2F2"><small>Borrar Container</small></td>
	                                            <td rowspan="{{val.contenedores.length+1}}" class="text-center" style="vertical-align:middle; white-space: nowrap;">
	                                        		<button class="btn btn-xs btn-success" ng-click="tipo=3; openModalSelect($event,val,3)">
	                                        			<i class="fa fa-plus"></i>
	                                        		</button>
	                                        	</td>
	                                            <td class="text-center" style="vertical-align:middle; white-space: nowrap;" rowspan="{{val.contenedores.length+1}}">
	                                            	<button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,val,3)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(val,3,'valija')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="openModalPreview($event,val,3)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('valijas.eliminar')" ng-click="openModalDelete($event,val,3)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
	                                            </td>
	                                        </tr>
	                                        <tr ng-repeat="con in val.contenedores">
	                                        	<td>{{con.numero}}</td>
	                                        	<td>{{con.referencia}}</td>
	                                        	<td class="text-center">
	                                        		<button ng-click="deleteContainerofValija(val,con)" class="btn btn-xs btn-danger">
	                                        			<i class="fa fa-trash"></i>
	                                        		</button>
	                                        	</td>                                 	
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="val.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="valijas.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado valijas para esta semana...</h4> 
	                            </p>
	                        </div>
	                    </div>
	                    <br>

	                    <!-- Otros archivos -->
	                    <legend><i class="fa fa-recycle"></i> Otros Archivos</legend>
	                    <div class="row">
	                        <div class="col-md-12">
	                        	<!-- ng-if="permisosHas('otros_archivos.registrar')" -->
	                            <button class="btn btn-info btn-rounded-10 btn-border" ng-click="upload(6,false)"><i class="fa fa-file-archive-o"></i> agregar archivos</button>
	                        </div>
	                    </div>
	        			<div class="row">
	                        <div class="col-md-12" ng-show="otros_archivos.length != 0">
	                            <div class="table-responsive mt-5">
	                                <table class="table table-bordered">
	                                    <thead>
	                                        <tr>
	                                            <th><small>#</small></th>
	                                            <th><small>Nombre del archivo</small></th>
	                                            <th><small>Tipo de Archivo</small></th>
	                                            <th><small>Fecha de subida</small></th>
	                                            <th><small>Hora de subida</small></th>
	                                            <th class="text-center"><small>Operaciones</small></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody dir-paginate="otros in otros_archivos |filter: buscar | itemsPerPage: 4" pagination-id="otros.id">
	                                        <tr>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{$index + 1 }}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.nombre}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small><span ng-if="otros.tipo === 1">WORD</span><span ng-if="otros.tipo === 2">EXCEL</span><span ng-if="otros.tipo === 3">PDF</span></small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.fecha}}</small></td>
	                                            <td style="vertical-align:middle; white-space: nowrap;"><small>{{otros.hora}}</small></td>
	                                            <td class="text-center" style="vertical-align:middle; white-space: nowrap;">
	                                            	<!-- <button ng-if="permisosHas('emails.enviar')" ng-click="openModalSend($event,otros,3)" class="btn btn-info btn-border btn-rounded-20"><i class="fa fa-paper-plane"></i> Send to Email</button> -->
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(otros,null,'otros_archivos')">Descargar <i class="fa fa-download"></i></button>
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="preview(otros,$event)"  data-options="splash-2 splash-ef-14">Visualizar <i class="fa fa-desktop"></i></button>
	                                                <!--  ng-if="permisosHas('otros_archivos.eliminar')"  -->
	                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="openModalDelete($event,otros,6)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
	                                            </td>
	                                        </tr>
	                                    </tbody>
	                                </table>
	                            </div>
	                            <div class="pull-right">
	                                <small><dir-pagination-controls pagination-id="otros.id"></dir-pagination-controls></small>
	                            </div>
	                        </div>
	                        <div class="col-md-12" ng-show="otros_archivos.length == 0">
	                            <p class="text-center">
	                                <i class="fa fa-inbox fa-4x"></i>
	                                <h4 class="text-center">aún no se han registrado otros archivos para esta semana...</h4> 
	                            </p>
	                        </div>
	                    </div>
					</div>

					<!-- subir archivos -->
					<div ng-show="!flag">
						<legend class="text-center">Subir <span ng-if="tipo===1">Facturas</span><span ng-if="tipo===2">Certificados</span><span ng-if="tipo===3">Valijas</span><span ng-if="tipo===4">Packings</span><span ng-if="tipo===5">BL's</span><span ng-if="tipo===6">Otros Archivos</span></legend>
						<div class="row">
							<div class="col-md-12">
								<span class="label label-info">Nota: </span><span>No se cargarán archivos mayores de 3MB. </span>
							</div>
							<div class="col-md-4">
								<br>
								<button class="btn btn-primary btn-block" ng-if="tipo!=4 && tipo!=6" ngf-select="uploadFiles($files)" multiple accept="application/pdf" ngf-max-height="1000" ngf-max-size="3MB">
						      		<i class="fa fa-upload"></i> Seleccione Archivos
						      	</button>
						      	<button ng-if="tipo===4" class="btn btn-primary btn-block" ngf-select="uploadFiles($files)" multiple accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" ngf-max-height="1000" ngf-max-size="3MB">
						      		<i class="fa fa-upload"></i> Seleccione Archivos
						      	</button>
						      	<button ng-if="tipo===6" class="btn btn-primary btn-block" ngf-select="uploadFiles($files)" multiple accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel,application/pdf,application/msword,
  								application/vnd.openxmlformats-officedocument.wordprocessingml.document" ngf-max-height="1000" ngf-max-size="3MB">
						      		<i class="fa fa-upload"></i> Seleccione Archivos
						      	</button>
							</div>
							<div class="col-md-4" ng-show="tipo!=6">
								<label for="">Cliente | <span class="obligatorio">(obligatorio)</span></label>
								<select class="form-control" data-options="splash-2 splash-ef-14" ng-model="id_cliente" ng-disabled="!files.length" ng-change="openModalSelect($event);listOperadores(id_cliente)" ng-options="cl.id as cl.razon_social for cl in clientes">
		                            <option value="">-- Cliente --</option>
		                        </select>
							</div>
							<div class="col-md-4" ng-if="showOperators">
								<label class="control-label">Operador | <span class="obligatorio">(obligatorio)</span></label>
                                <select class="form-control" ng-model="data.id_operador" ng-disabled="!id_cliente" ng-options="op.id as op.nombre for op in operadores">
                                    <option value="">-- Seleccione Operador --</option>
                                </select>
							</div>
							<div class="col-md-4" ng-if="tipo===2">
								<div class="form-group">
									<label for="">Descripción</label>
									<textarea id="descripcion" class="form-control" ng-model="data.descripcion"></textarea>
								</div>								
							</div>					      	
						</div>
						
				      	<div class="table-responsive" ng-if="files.length">
		                    <table class="table table-hover">
		                        <thead>
		                            <tr>
		                                <th>Nombre</th>
		                                <th>Tamaño</th>
		                                <th></th>
		                            </tr>
		                        </thead>
		                        <tbody>
		                            <tr ng-repeat="f in files">
		                                <td>{{f.name}}</td>
		                                <td>{{(f.size/1024)/1024 | number:2}} MB</td>
		                                <td>
		                                    <button type="button" class="btn btn-danger btn-xs" ng-click="deleteItemArray($index)"><i class="fa fa-trash"></i></button>
		                                </td>
		                            </tr>
		                        </tbody>
		                    </table>
		                </div>
		                <uib-progressbar ng-if="!flagUpload" class="progress-sm progress-striped active not-rounded" value="progress" type="dutch"><b>{{progress}}%</b></uib-progressbar>
		                <hr>
		                
						<div class="text-center">
							<button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="flag = !flag;files = [];obj = {};id_cliente=null"> <i class="fa fa-close"></i> cancelar</button>
                    		<button  ng-if="flagUpload" ng-disabled="!id_cliente && !(files.length)" type="submit" class="btn btn-default btn-border btn-rounded-10" ng-click="save()"><i class="fa fa-upload"></i> subir archivos</button>
                    		<button ng-if="!flagUpload" type="button" class="btn btn-default btn-border btn-rounded-10">
                    		<i class="fa fa-spin fa-spinner"></i> subiendo archivos...</button>
						</div>
					</div>
	            </div>
	        </div>
	    </div>
	</div>
	<script type="text/ng-template" id="modal_preview.html">
        <div class="modal-body">
            <div class="text-center">
                <div class="row">
                    <div class="col-md-12">
                        <embed src="{{ruta}}" width="100%" toolbar=0 height="500px">
                        </embed>
                    </div>
                </div>
                <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> cerrar</button>
            </div>
        </div>
    </script>	
    <script type="text/ng-template" id="modal_delete_file.html">
       <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">¿Desea eliminar este archivo?</h3>
            </div>            
        </div>
        <div class="modal-body">
            <div class="text-center">
                <h3>{{obj.nombre}}</h3>
                <button type="button" class="btn btn-danger" ng-disabled="!flagButton" ng-click="ok()">Aceptar</button>
                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
            </div>
        </div>
    </script>
    <script type="text/ng-template" id="modal_send_file.html">
       <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">¿Desea enviar este archivo a Emails?</h3>
            </div>            
        </div>
        <div class="modal-body">
            <div class="text-center" ng-if="flagSend">
                <h3>{{obj.nombre}}</h3>
                <button type="button" class="btn btn-danger" ng-click="sendEmail()">Aceptar</button>
                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
            </div>
            <div class="loading-container" ng-if="!flagSend">
                <div class="loading"></div>
                <div id="loading-text">Enviando</div>
            </div>
        </div>
    </script>
    <script type="text/ng-template" id="modal_select_containers.html">
       <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">Seleccione Contenedores</h3>
            </div>            
        </div>
        <div class="modal-body">
			<div class="table-responsive">
        		<table class="table table-hover">
        			<thead>
        				<tr>
        					<th>Numero</th>
        					<th>Referencia</th>
        					<th>Selecione</th>
        				</tr>
        			</thead>
        			<tbody>
        				<tr ng-repeat="con in contenedores">
        					<td>{{con.numero_contenedor}}</td>
        					<td>{{con.referencia}}</td>
        					<td class="text-center">
								<label class="switch">
	                                <input type="checkbox" ng-model="con.enable">
	                                <span></span>
	                            </label> 
							</td>
        				</tr>
        			</tbody>
        		</table>
        	</div>
            <div class="text-center">
                <button type="button" class="btn btn-primary" ng-click="select()">Aceptar</button>
            </div>
        </div>
    </script>
</div>